Skip to content

Delete an Object

DELETE
/api/v1/storage/objects/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/objects/?bucket_name=<BUCKET_NAME>&object_ids=<OBJECT_IDS>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Soft delete in MinIO retains deleted objects as previous versions, allowing recovery. This feature works for buckets that have versioning enabled. To delete (hard) a specific version of an object, use the version_id parameter.

bucket_name
required
string

Bucket Name

object_ids
required
string

Example

[
"parse.py",
"data.json"
]

List of object IDs for which versions are to be fetched.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

version_ids
string

Example

740d0a130b0745ebb036bb866c87f847

Version ID

Successful request with empty data

Media typeapplication/json
object
code
integer
data
Array
errors
object
message
string

Example

{
"code": 200,
"data": [],
"errors": {},
"message": "Success"
}